# The linker doesn't like real long lines, so break any such lines
# apart after 100 symbols.

BEGIN {
    l=n=0
}

{   l++
    printed=0
    if ($0 ~ /^ +.+=(PROCEDURE|DATA),-$/) {
	n++
	if (n == 100) {
	    sub(",-",")")
	    print $0
	    print "! Fixup occurred here"
	    print "SYMBOL_VECTOR=(-"
	    printed=1
	    n=0
	} 
    }
    else {
	n=0
    }
    if (!printed)
	print $0
}
